Middle Mouse button functions should be configurable
Status: Confirmed

Severity: Low
Category: Controls and Ul

Target version:
Description

many laptops lack a clickable middle mouse button, and there is no way to remap the controls that use it (camera pan, whack a
kerbal, etc) meaning that laptop useres cannot use those functions.

History

#1 - 07/17/2016 09:26 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/19/2016 03:19 PM - cpcallen
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

| keep installing KSP upgrades, but for some reason none of them have caused my laptop's trackpad to sprout a middle mouse button!

On OS X, if you have BetterTouchTool (https://www.boastr.net/) it is possible to configure it to cause three-finger clicks to send a Middleclick event to
KSP. ltis then possible to pan the camera, but awkwardly: you must click the trackpad with three fingers and then lift two of them before dragging to
pan. Whack-a-Kerbal also works, provided you don't mind that some of your shots go in completely random directions.

It should not be necessary to buy third-party software tools to make use of normal KSP features.

#3 - 07/20/2016 10:56 AM - TriggerAu

- Tracker changed from Bug to Feedback

- Subject changed from Laptop Middle mouse button to Middle Mouse button functions should be configurable
- Status changed from Updated to Confirmed

hehe. There was bound to be a couple that didn't need clarification with the bulk changes for the cleanup, but | reckon this one takes the cake.

Thanks for the update
